import { ElementRef, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class AngularPopupComponent implements OnInit {
    private themesService;
    show: boolean;
    anchor: ElementRef<HTMLElement> | HTMLElement;
    anchorHorizontalAlign: "left" | "center" | "right";
    anchorVerticalAlign: "top" | "center" | "bottom";
    popupHorizontalAlign: "left" | "center" | "right";
    popupVerticalAlign: "top" | "center" | "bottom";
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularPopupComponent, "lib-angular-popup", never, { "show": { "alias": "show"; "required": false; }; "anchor": { "alias": "anchor"; "required": false; }; "anchorHorizontalAlign": { "alias": "anchorHorizontalAlign"; "required": false; }; "anchorVerticalAlign": { "alias": "anchorVerticalAlign"; "required": false; }; "popupHorizontalAlign": { "alias": "popupHorizontalAlign"; "required": false; }; "popupVerticalAlign": { "alias": "popupVerticalAlign"; "required": false; }; }, {}, never, ["*"], false, never>;
}
